Zeitgeist.ResultSet.estimated_matches – zeitgeist-2.0 Reference Manual

# estimated_matches

## Description:

public abstract uint estimated_matches ()

Get the total number of matches that would have been for the query that generated the result set had it not been restricted in size. For FTS the number of matches is estimated.

For zeitgeist_log_find_events() and zeitgeist_log_get_events() this will always be the same as zeitgeist_result_set_size(). For cases like zeitgeist_index_search() where you specify a subset of the hits to retrieve the estimated match count will often be bigger than the result set size.

## Returns:

The number of events that matched the query